%define oname gx_mail_notify
Name:		plasma-applet-mail_notify
Summary:	A mail notify plasmoid
Version:	0.4.4
Release:	%mkrel 1
Url:		http://kde-look.org/content/show.php/GX+Mail+Notify?content=99617
License:	GPL
Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source0:	99617-%{oname}-%{version}.tar.bz2
Provides:       %{name} = %{version}-%{release}

%description
Plasmoid for checking unreaded e-mails.

Requirements
============

- KDE 4.2

Features
========

- More e-mail accounts.
- Support protocols POP3 and IMAP4.
- Support TSL/SSL-encryption (verification of certificates).
- Information interface with account details.
- Variable size of icon or fixed size like tray icon.
- Launch e-mail clients.

TODO
====

- Sound notify.
- Popup notify.
- Localization.
- Synchronize with KMail.

%prep
%setup -q -n %{oname}-%{version}


%build
%cmake_kde4
%make


%install
rm -fr %buildroot
cd build
%{makeinstall_std}
kbuildsycoca4
cd -


%files
%defattr(-,root,root)
%{_libdir}/kde4/plasma_applet_gx_mail_notify.so
%{_datadir}/apps/desktoptheme/default/widgets/gx_mail_notify*.svg
%{_datadir}/kde4/services/plasma-applet-gx_mail_notify.desktop

%clean
rm -rf "%{buildroot}"


%changelog
* Tue Jul 08 2010 Oliver Burger <rpm@mandrivauser.de> 0.4.4-1mud2010.1
- initial package for Mandriva Linux
